#
# spec file for package php5-pear-Net_Socket
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-Net_Socket
%define pear_name  Net_Socket
%define pear_sname net_socket
Summary:        Network Socket Interface
License:        PHP-3.01
Group:          Productivity/Networking/Web/Servers
Version:        1.0.14
Release:        7.3
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 4.0.0
%if 0%{?sles_version} == 10
BuildRequires:  php-macros
%else
BuildRequires:  php-devel >= 4.0.0
%endif
BuildRequires:  php-pear >= 1.4.0
Requires:       php >= 4.0.0
Requires:       php-pear >= 1.4.0

Provides:       pear-%{pear_name}
Provides:       php-pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
Net_Socket is a class interface to TCP sockets. It provides blocking
and non-blocking operation, with different reading and writing modes
(byte-wise, block-wise, line-wise and special formats like network
byte-order ip addresses).

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)

%changelog
* Fri Nov  8 2013 aj@ajaissle.de
- New upstream release 1.0.14
  * Fix connecting when host is specified with protocol prefix e.g. ssl://
- Changes between 1.0.10 an 1.0.13:
  * Fix PHP warning and invalid handling of IPv6 addresses
  * Fixed regression in handling of default (not set) timeout (Bug PEAR#19949)
  * IPv6 sockets cannot be used (Bug PEAR#18231)
  * Socket.php errors when sending large emails through Pear Mail (Bug PEAR#18281)
  * 2nd argument of setTimeout() could be optional (Bug PEAR#18436)
  * Setting timeout after connect() doesn't work correctly (Bug PEAR#18437)
  * Wrong PHP version dependency and socket_* function aliases (Bug PEAR#18438)
  * Incomplete gets() method description (Bug PEAR#19557)
* Fri Feb  1 2013 aj@ajaissle.de
- improved spec file to serve more build targets
* Tue Nov 27 2012 Ralf Lang <lang@b1-systems.de>
- SLE11 compat
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Jan 20 2011 chris@computersalat.de
- change to php_pear_gen_filelist macro
* Wed Jan 19 2011 chris@computersalat.de
- pkg rename php5-pear-Net_Socket
- merge with php-pear-net_socket, php5-pear-net_socket
- dr for php-pear-net_socket, php5-pear-net_socket
- added php-macros
- cleanup spec
* Sat Oct 16 2010 Ralf Lang <lang@b1-systems.de>
- updated to upstream version - 1.0.10
  - Configurable newline sequence (PEAR Bug #14181)
  - Make $size parameter to gets() optional (PEAR Bug #14433)
  - Don't overwrite $errstr set by fsockopen (PEAR Bug #14448)
  - Avoid an infinite loop if fwrite() returns 0 (PEAR Bug #14619)
  - CS cleanup (PEAR Bug #14803)
- for more info about changes see ChangeLog
  http://pear.php.net/package/Net_Socket/download/All
* Sat May 30 2009 chris@computersalat.de
- fixed post script
* Thu May 21 2009 chris@computersalat.de
- beautify spec
  o new spec header
  o package rename due to package convention
  o removed php4 stuff, deps
  o added Provides and Obsoletes for old package names.
    This should not break deps
- added stuff to automatically create correct filelist
  o tested against Factory (1120)
  o opensuse >= 1100 complains about
    "directory not owned by package"
- some rpmlint fixes
* Fri Jul 18 2008 suse-tux@gmx.de
- updated to 1.0.9
- major spec changes (registers module in PEARs database etc.)
* Thu Dec  7 2006 suse-tux@gmx.de
- use --packagingroot instead of --installroot
* Sat Jun 10 2006 suse-tux@gmx.de
- make spec file portable for all suse-versions
- adapt name-tag to suse's php-pear-naming-style
* Mon Apr 17 2006 suse-tux@gmx.de
- rebuild on 10.1
* Mon Jan 23 2006 suse-tux@gmx.de
- initial build
